Schema "fpml-transparency-processes-5-3.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/transparency

Version:

  $Revision: 7629 $

Defined Components:

  4 global elements, 2 local elements, 3 complexTypes

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Irina-Local\SVN-FpML\trunk\xml\transparency\fpml-transparency-processes-5-3.xsd; see XML source

Includes Schema:

  fpml-business-events-5-3.xsd [src]

Included in Schema:

  fpml-main-5-3.xsd [src]

All Element Summary
message (defined in TransparencyViewRequestMessage complexType) |
Type: | anonymous complexType
Content: | complex, elem. wildcard
Defined: | locally witnin TransparencyViewRequestMessage complexType; see XML source
Includes: | definition of elem. wildcard
publicExecutionReport |
Type: | PublicExecutionReport
Content: | complex, 3 attributes, 15 elements
Defined: | globally; see XML source
Used: | at 1 location
publicExecutionReportAcknowledgement |
Type: | Acknowledgement
Content: | complex, 3 attributes, 8 elements
Defined: | globally; see XML source
Used: | never
publicExecutionReportException |
Type: | Exception
Content: | complex, 3 attributes, 6 elements
Defined: | globally; see XML source
Used: | never
publicExecutionReportRetracted |
Type: | PublicExecutionReportRetracted
Content: | complex, 3 attributes, 14 elements
Defined: | globally; see XML source
Used: | at 1 location
tradeIdentifier (in publicExecutionReportRetracted) |
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin PublicExecutionReportRetracted complexType; see XML source

Complex Type Summary
PublicExecutionReport |
Content: | complex, 3 attributes, 15 elements
Defined: | globally; see XML source
Used: | at 1 location
PublicExecutionReportRetracted |
Content: | complex, 3 attributes, 14 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
TransparencyViewRequestMessage |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | never

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2011 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="trnsp" ecore:package="org.fpml.transparency" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/transparency" version="$Revision: 7629 $" xmlns="http://www.fpml.org/FpML-5/transparency" xmlns:dsig="http://www.w3.org/2000/09/xmldsig#" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:fpml-annotation="http://www.fpml.org/annotation" xmlns:view="http://www.fpml.org/views" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:include schemaLocation="fpml-business-events-5-3.xsd"/> <xsd:complexType name="PublicExecutionReport"> <xsd:complexContent> <xsd:extension base="CorrectableRequestMessage"> <xsd:sequence> <xsd:group ref="Events.model"/> <xsd:group minOccurs="0" ref="EventValuation.model"/> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="PublicExecutionReportRetracted"> <xsd:complexContent> <xsd:extension base="NonCorrectableRequestMessage"> <xsd:sequence> <xsd:choice> <xsd:group minOccurs="0" ref="Events.model"/> <xsd:element minOccurs="0" name="tradeIdentifier" type="PartyTradeIdentifier"/> </xsd:choice> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!-- <xsd:complexType name="PublicExecutionReportAcknowledgement"> <xsd:complexContent> <xsd:extension base="ResponseMessage"> <xsd:sequence> <xsd:element name="originalMessage" type="TransparencyViewRequestMessage" minOccurs="0"/> <xsd:group ref="PartiesAndAccounts.model" minOccurs="0"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> --> <xsd:complexType name="TransparencyViewRequestMessage"> <xsd:choice> <xsd:element minOccurs="0" ref="publicExecutionReport"/> <xsd:element minOccurs="0" ref="publicExecutionReportRetracted"/> <xsd:element minOccurs="0" name="message"> <xsd:complexType> <xsd:sequence> <xsd:any processContents="skip"/> </xsd:sequence> </xsd:complexType> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:element name="publicExecutionReport" type="PublicExecutionReport"/> <xsd:element name="publicExecutionReportRetracted" type="PublicExecutionReportRetracted"/> <xsd:element name="publicExecutionReportAcknowledgement" type="Acknowledgement"/> <xsd:element name="publicExecutionReportException" type="Exception"/> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.